stages:
    - test
    - build

test:
    image: python:3.7-buster
    stage: test
    before_script:
        - pip install -r requirements.txt
    script:
        - python -m unittest

build and push:
    image: docker:latest
    stage: build
    services:
        - docker:dind
    before_script:
        - echo "$CI_REGISTRY"
        - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" "$CI_REGISTRY"
    script:
        - docker build -t "$CI_REGISTRY_IMAGE" .
        - docker push "$CI_REGISTRY_IMAGE"
    only:
        - master